import { OnInit, ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
export declare class NgxFileSelectorComponent implements OnInit, ControlValueAccessor {
    private elementRef;
    private input;
    accpet: string;
    multiple: boolean;
    isDisabled: boolean;
    tabIndex: number;
    select: EventEmitter<FileList | File>;
    value: FileList | File;
    changeFn: (files: FileList | File) => void;
    touchFn: () => void;
    ngOnInit(): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    constructor(elementRef: ElementRef, ngControl: NgControl);
}
